org.eclipse.viatra.query.patternlanguage.emf.validation

## Class EMFPatternLanguageSyntaxErrorMessageProvider

- java.lang.Object
- - org.eclipse.xtext.parser.antlr.SyntaxErrorMessageProvider
  - - org.eclipse.viatra.query.patternlanguage.emf.validation.EMFPatternLanguageSyntaxErrorMessageProvider

- All Implemented Interfaces:
    org.eclipse.xtext.parser.antlr.ISyntaxErrorMessageProvider

      public class EMFPatternLanguageSyntaxErrorMessageProvider
      extends org.eclipse.xtext.parser.antlr.SyntaxErrorMessageProvider

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.parser.antlr.ISyntaxErrorMessageProvider

      `org.eclipse.xtext.parser.antlr.ISyntaxErrorMessageProvider.IErrorContext, org.eclipse.xtext.parser.antlr.ISyntaxErrorMessageProvider.IParserErrorContext, org.eclipse.xtext.parser.antlr.ISyntaxErrorMessageProvider.IUnorderedGroupErrorContext, org.eclipse.xtext.parser.antlr.ISyntaxErrorMessageProvider.IValueConverterErrorContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguageSyntaxErrorMessageProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.nodemodel.SyntaxErrorMessage` | `getSyntaxErrorMessage(org.eclipse.xtext.parser.antlr.ISyntaxErrorMessageProvider.IParserErrorContext context)`

    - ### Methods inherited from class org.eclipse.xtext.parser.antlr.SyntaxErrorMessageProvider

      `createRangedSyntaxErrorMessage, getSyntaxErrorMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFPatternLanguageSyntaxErrorMessageProvider

          public EMFPatternLanguageSyntaxErrorMessageProvider()

  - ### Method Detail

    - #### getSyntaxErrorMessage

          public org.eclipse.xtext.nodemodel.SyntaxErrorMessage getSyntaxErrorMessage(org.eclipse.xtext.parser.antlr.ISyntaxErrorMessageProvider.IParserErrorContext context)

      Specified by:
        `getSyntaxErrorMessage` in interface `org.eclipse.xtext.parser.antlr.ISyntaxErrorMessageProvider`
      Overrides:
        `getSyntaxErrorMessage` in class `org.eclipse.xtext.parser.antlr.SyntaxErrorMessageProvider`